Package org.apache.tomcat.util.xreflection

## Class ObjectReflectionPropertyInspector

- java.lang.Object
- - org.apache.tomcat.util.xreflection.ObjectReflectionPropertyInspector

    public final class ObjectReflectionPropertyInspector
    extends Object

### Constructor Summary

Constructors
`ObjectReflectionPropertyInspector()`

### Method Summary

All Methods Static Methods Concrete Methods
`static void` `generateCode​(Set<org.apache.tomcat.util.xreflection.SetPropertyClass> baseClasses, String packageName, File location, String className)`
`static void` `main​(String... args)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ObjectReflectionPropertyInspector

    public ObjectReflectionPropertyInspector()

### Method Detail

#### main

    public static void main​(String... args)
                     throws Exception

Throws:
  `Exception`

#### generateCode

    public static void generateCode​(Set<org.apache.tomcat.util.xreflection.SetPropertyClass> baseClasses,
                                    String packageName,
                                    File location,
                                    String className)
                             throws Exception

Throws:
  `Exception`